apiVersion: batch/v1
kind: CronJob
metadata:
  name: profile-picture-export
spec:
  schedule: "*/5 * * * *" # Schedule the job to run every five minutes
  successfulJobsHistoryLimit: 1
  failedJobsHistoryLimit: 1
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: profile-picture-export
              image: curlimages/curl
              command:
                - sh
                - -c
              args:
                - curl -X POST http://profile-picture-data-store/v1/export
          restartPolicy: Never
